## Silverstripe form building recipe

[![CI](https://github.com/silverstripe/recipe-form-building/actions/workflows/ci.yml/badge.svg)](https://github.com/silverstripe/recipe-form-building/actions/workflows/ci.yml)
[![Silverstripe supported module](https://img.shields.io/badge/silverstripe-supported-0071C4.svg)](https://www.silverstripe.org/software/addons/silverstripe-commercially-supported-module-list/)

This includes the following core Silverstripe and community modules:

 * [silverstripe/recipe-cms](https://github.com/silverstripe/recipe-cms): Recipe containing CMS, versioned, asset-admin, etc
 * [silverstripe/segment-field](https://github.com/silverstripe/silverstripe-segment-field): A reusable approach to
   segment-generating fields
 * [silverstripe/userforms](https://github.com/silverstripe/silverstripe-userforms): UserForms module provides a visual
   form builder for the Silverstripe CMS. No coding required to build forms such as contact pages
 * [symbiote/silverstripe-queuedjobs](https://github.com/symbiote/silverstripe-queuedjobs): A module that provides
   interfaces for scheduling jobs for certain times

This can be either added to an existing project or used as a project base for creating a basic CWP install.

## Get started

You can create a project using Composer:

```
composer create-project silverstripe/recipe-form-building ./myproject ^1
```

## More information

See the [recipe plugin](https://github.com/silverstripe/recipe-plugin) page for instructions on how
Silverstripe recipes work.
